namespace IRaCIS.Core.Domain.Models;

[Comment("医生 - 医生字典关联表")]
[Table("DoctorDictionary")]
public class DoctorDictionary : Entity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("DoctorId")]
    public Doctor Doctor { get; set; }

    [JsonIgnore]
    [ForeignKey("DictionaryId")]
    public Dictionary Dictionary { get; set; }
    #endregion

    public Guid DictionaryId { get; set; }

    public Guid DoctorId { get; set; }

   
    public string KeyName { get; set; } = null!;
}
